summaryrefslogtreecommitdiff
path: root/travis
diff options
context:
space:
mode:
authorGerard Roche <gerardroche@users.noreply.github.com>2020-05-20 20:03:10 +0100
committerNikita Popov <nikita.ppv@gmail.com>2020-05-22 10:02:57 +0200
commitcf3d3cd86fa63a1b8e0166b683d86a1ee305576a (patch)
tree33f522546f8ffb66ccd59f2da8a3ccada4fc3db9 /travis
parentd1dde094f2442b11808bd77bc8b064be3792458a (diff)
downloadphp-git-cf3d3cd86fa63a1b8e0166b683d86a1ee305576a.tar.gz
Fix PostgreSQL and MySQL setup on Travis CI
Note that the PostgreSQL tests still don't work on some architectures. Closes GH-5607.
Diffstat (limited to 'travis')
-rwxr-xr-xtravis/setup-mysql.sh10
-rwxr-xr-xtravis/setup-pgsql.sh12
2 files changed, 11 insertions, 11 deletions
diff --git a/travis/setup-mysql.sh b/travis/setup-mysql.sh
index 4866f24442..1199fceb22 100755
--- a/travis/setup-mysql.sh
+++ b/travis/setup-mysql.sh
@@ -1,6 +1,4 @@
-#!/bin/bash
-if [ -n "$ARM64" ]; then
- sudo mysql -e 'CREATE USER "travis"@"localhost" IDENTIFIED BY ""'
- sudo mysql -e 'GRANT ALL PRIVILEGES ON *.* TO "travis"@"localhost"'
-fi
-mysql -e "CREATE DATABASE IF NOT EXISTS test"
+#!/bin/sh
+set -ev
+
+mysql -vvv -e "CREATE DATABASE IF NOT EXISTS test"
diff --git a/travis/setup-pgsql.sh b/travis/setup-pgsql.sh
index d0929de9f0..3fea8f70b4 100755
--- a/travis/setup-pgsql.sh
+++ b/travis/setup-pgsql.sh
@@ -1,6 +1,8 @@
-#!/bin/bash
-echo '
-<?php $conn_str .= " user=postgres"; ?>' >> "./ext/pgsql/tests/config.inc"
-if [ -z "$ARM64" -o -z "$S390X"]; then
- psql -c 'create database test;' -U postgres
+#!/bin/sh
+set -ev
+
+# PostgreSQL tests currently don't work on some architectures.
+if test -z "${ARM64}${S390X}"; then
+ psql -c "ALTER USER postgres PASSWORD 'postgres';" -U postgres
+ psql -c "CREATE DATABASE test;" -U postgres
fi